import SwiftUI
import SFSafeSymbols

struct NavigationIcon: View {

    let symbol: SFSymbol

    let edge: Edge.Set

    var body: some View {
        SwiftUI.Image(systemSymbol: symbol)
            .resizable()
            .aspectRatio(contentMode: .fit)
            .padding(5)
            .padding(edge, 2)
            .fontWeight(.light)
            .foregroundStyle(Color.white.opacity(0.8))
            .frame(width: 30, height: 30)
            .background(Color.black.opacity(0.7).clipShape(Circle()))
    }
}
